PHP Handbuch
Zurück |  | Weiter

# DOMElement->setAttributeNS()

(no version information, might be only in CVS)

DOMElement->setAttributeNS() -- Adds new attribute

## Beschreibung

class DOMElement {
void setAttributeNS ( string namespaceURI, string qualifiedName, string value )
}

Sets an attribute with namespace namespaceURI and name name to the given value. If the attribute does not exist, it will be created.

## Parameter Liste

namespaceURI

  The namespace URI.

qualifiedName

  The qualified name of the attribute, as prefix:tagname.

value

  The value of the attribute.

## Rückgabewerte

No value is returned.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a malformed qualified name, or if qualifiedName has a prefix and namespaceURI is `NULL`.

## Siehe auch

DOMElement->hasAttributeNS()
DOMElement->getAttributeNS()
DOMElement->removeAttributeNS()

Zurück | Zum Anfang | Weiter
DOMElement->setAttributeNodeNS() | Nach oben | DOMEntityReference->__construct()